WYSIWYG editor
Bootstrap 5 WYSIWYG editor plugin
MDBootstrap WYSIWYG Editor is a lightweight plugin that enables rich text editing on your website.
Note: Read the API tab to find all available options and advanced customization
Note: Currently, the plugin is only compatible with the basic MDB package imported in UMD format. More about import MDB formats.
Basic example
          
        
MDBootstrap
WYSIWYG Editor
MDBootstrap.com © 2020
Features:
- Changing block type
 - Text formatting (bold, italic, strikethrough, underline)
 - Setting text color
 - Setting color highlight
 - Text aligning
 - Creating a list (bulled or numbered)
 - Increase/Decrease indent
 - Inserting links
 - Inserting pictures
 - Insert horizontal line
 - show HTML code
 - Undo/Redo
 
Options:
- Translations
 - Using your own color palette
 - Disabling/enabling sections
 
Methods:
- Get HTML code from editor
 
        
            
        <div class="wysiwyg" data-mdb-wysiwyg-init>
          <br/>
          <p style="text-align: center;"><img src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp" class="img-fluid"></p>
          <h1 style="text-align: center;">MDBootstrap</h1>
          <p style="text-align: center;">WYSIWYG Editor</p>
          <p style="text-align: center;"><a href="https://mdbootstrap.com" target="_blank" contenteditable="false" style="font-size: 1rem; text-align: left;">MDBootstrap.com</a> © 2020</p>
          <p style="text-align: left;"><b>Features:</b></p>
          <ul>
            <li>Changing block type</li>
            <li>Text formatting (bold, italic, strikethrough, underline)</li>
            <li>Setting text color</li>
            <li>Setting color highlight</li>
            <li>Text aligning</li>
            <li>Creating a list (bulled or numbered)</li>
            <li>Increase/Decrease indent</li>
            <li>Inserting links</li>
            <li>Inserting pictures</li>
            <li>Insert horizontal line</li>
            <li>show HTML code</li>
            <li>Undo/Redo</li>
          </ul>
          <p><b>Options:</b></p>
          <ul>
            <li>Translations</li>
            <li>Using your own color palette</li>
            <li>Disabling/enabling sections</li>
          </ul>
          <p><b>Methods:</b></p>
          <ul>
            <li>Get HTML code from editor</li>
          </ul>
        </div>
      
        
    
Translations
MDBootstrap WYSIWYG Editor comes with the option that allows you to use custom translations for all text in the editor.
        
            
        <div class="wysiwyg">
          <br/>
          <p style="text-align: center;"><img src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp" class="img-fluid"></p>
          <h1 style="text-align: center;">MDBootstrap</h1>
          <p style="text-align: center;">WYSIWYG Editor</p>
          <p style="text-align: center;"><a href="https://mdbootstrap.com" target="_blank" contenteditable="false" style="font-size: 1rem; text-align: left;">MDBootstrap.com</a> © 2020</p>
          <p style="text-align: left;"><b>Features:</b></p>
        </div>
      
        
    
        
            
        var wysiwygElement = document.getElementsByClassName('wysiwyg')[0];
        var wysiwygInstance = new WYSIWYG(wysiwygElement, {
          wysiwygTranslations: {
            paragraph: 'Paragraf',
            textStyle: 'Styl tekstu',
            heading: 'Nagłówek',
            preformatted: 'Pre-formatowany',
            bold: 'Pogrubienie',
            italic: 'Kursywa',
            strikethrough: 'Przekreślenie',
            underline: 'Podkreślenie',
            textcolor: 'Kolor tekstu',
            textBackgroundColor: 'kolor zaznaczenia',
            alignLeft: 'Wyśrodkowanie do lewej',
            alignCenter: 'Wyśrodkowanie do środka',
            alignRight: 'Wyśrodkowane do prawej',
            alignJustify: 'Justowanie',
            insertLink: 'Wstaw link',
            insertPicture: 'Wstaw obraz',
            unorderedList: 'Lista punktowa',
            orderedList: 'Lista numerowana',
            increaseIndent: 'Zwiększ wcięcie',
            decreaseIndent: 'Zmniejsz wcięcie',
            insertHorizontalRule: 'Wstaw linię poziomą',
            showHTML: 'Pokaż kod HTML',
            undo: 'Cofnij',
            redo: 'Przywróć',
            addLinkHead: 'Dodaj Link',
            addImageHead: 'Dodaj Obraz',
            linkUrlLabel: 'Wpisz adres:',
            linkDescription: 'Wpisz opis',
            imageUrlLabel: 'Wpisz adres obrazka:',
            okButton: 'OK',
            cancelButton: 'Anuluj',
            moreOptions: 'Pokaż więcej opcji',
          }
        });
      
        
    
Custom colors
By default, MDBootstrap WYSIWYG Editor use color palette from MDBootstrap's text colors. If you need to use your custom colors, you can customize them to fit your project.
          
        
MDBootstrap
WYSIWYG Editor
MDBootstrap.com © 2020
Default Colors:
- #1266F1 - Primary
 - #B23CFD - Secondary
 - #00B74A - Success
 - #F93154 - Danger
 - #FFA900 - Warning
 - #39C0ED - Info
 - #FBFBFB - Light
 - #262626 - Dark
 
        
            
        <div class="wysiwyg">
          <br/>
          <p style="text-align: center;"><img src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp" class="img-fluid"></p>
          <h1 style="text-align: center;">MDBootstrap</h1>
          <p style="text-align: center;">WYSIWYG Editor</p>
          <p style="text-align: center;"><a href="https://mdbootstrap.com" target="_blank" contenteditable="false" style="font-size: 1rem; text-align: left;">MDBootstrap.com</a> © 2020</p>
          <p style="text-align: left;"><b>Default Colors:</b></p>
          <ul>
            <li><span style="color: #1266F1;">#1266F1 - Primary</span></li>
            <li><span style="color: #B23CFD;">#B23CFD - Secondary</span></li>
            <li><span style="color: #00B74A;">#00B74A - Success</span></li>
            <li><span style="color: #F93154;">#F93154 - Danger</span></li>
            <li><span style="color: #FFA900;">#FFA900 - Warning</span></li>
            <li><span style="color: #39C0ED;">#39C0ED - Info</span></li>
            <li><span style="color: #FBFBFB; background-color: rgb(38, 38, 38);">#FBFBFB - Light</span></li>
            <li><span style="color: #262626;">#262626 - Dark</span></li>
          </ul>
        </div>
      
        
    
        
            
        var wysiwygElement = document.getElementsByClassName('wysiwyg')[0];
        var wysiwygInstance = new WYSIWYG(wysiwygElement, {
          wysiwygColors : [
            '#3949AB',
            '#00BCD4',
            '#7CB342'
          ]
        });
      
        
    
Disable toolbar section
You can disable any section. The full list of sections can be found in the API tab.
        
            
        <div class="wysiwyg" data-mdb-wysiwyg-init data-mdb-wysiwyg-formatting-section="false" data-mdb-wysiwyg-justify-section="false">
          <br/>
          <p style="text-align: center;"><img src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp" class="img-fluid"></p>
          <h1 style="text-align: center;">MDBootstrap</h1>
          <p style="text-align: center;">WYSIWYG Editor</p>
          <p style="text-align: center;"><a href="https://mdbootstrap.com" target="_blank" contenteditable="false" style="font-size: 1rem; text-align: left;">MDBootstrap.com</a> © 2020</p>
          <p style="text-align: left;"><b>Features:</b></p>
        </div>
      
        
    
Fixed toolbar
      You can set data-mdb-wysiwyg-fixed="true" to pin the toolbar to the top of the
      screen. This option will be useful when there is a lot of text.
    
        
            
        <div class="wysiwyg" data-mdb-wysiwyg-init data-mdb-wysiwyg-fixed="true">
          <br/>
          <p style="text-align: center;"><img src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp" class="img-fluid"></p>
          <h1 style="text-align: center;">MDBootstrap</h1>
          <p style="text-align: center;">WYSIWYG Editor</p>
          <p style="text-align: center;"><a href="https://mdbootstrap.com" target="_blank" contenteditable="false" style="font-size: 1rem; text-align: left;">MDBootstrap.com</a> © 2020</p>
        </div>
      
        
    
Fixed toolbar offset
      Use the data-mdb-wysiwyg-fixed-offset-top option to set the distance from the top
      of the screen. This helps to avoid hiding the toolbar behind the navigation bar or other
      element on the page.
    
        
            
        <div class="wysiwyg" data-mdb-wysiwyg-init data-mdb-wysiwyg-fixed="true" data-mdb-wysiwyg-fixed-offset-top="80">
          <br/>
          <p style="text-align: center;"><img src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp" class="img-fluid"></p>
          <h1 style="text-align: center;">MDBootstrap</h1>
          <p style="text-align: center;">WYSIWYG Editor</p>
          <p style="text-align: center;"><a href="https://mdbootstrap.com" target="_blank" contenteditable="false" style="font-size: 1rem; text-align: left;">MDBootstrap.com</a> © 2020</p>
        </div>
      
        
    
WYSIWYG editor - API
Import
        
            
          import WYSIWYG from 'mdb-wysiwyg-editor';
        
        
    
        
            
          @import '~mdb-wysiwyg-editor/css/wysiwyg.min.css';
        
        
    
Usage
Via data attributes
    Using the WYSIWYG editor plugin doesn't require any additional JavaScript code - simply add
    data-mdb-wysiwyg-init attribute to 
      .wysiwyg
     and use other data attributes to set all options.
    
        
            
        <div class="wysiwyg" data-mdb-wysiwyg-init></div>     
      
        
    
Via JavaScript
        
            
        const wysiwygElement = document.getElementsByClassName('wysiwyg')[0];
        const wysiwygInstance = WYSIWYG.getInstance(wysiwygElement);
      
        
    
Via jQuery
Note: By default, MDB does not include jQuery and you have to add it to the project on your own.
        
            
        $(document).ready(() => { 
          $('.wysiwyg').wysiwyg();
        });
      
        
    
Options
    Options can be passed via data attributes or JavaScript. For data attributes, append the option name to
    data-mdb-, as in data-mdb-wysiwyg-colors="".
| Name | Type | Default | Description | 
|---|---|---|---|
              wysiwygColors
             | 
            Array | [
              '#1266F1', '#B23CFD',
              '#00B74A', '#F93154',
              '#FFA900', '#39C0ED',
              '#FBFBFB', '#262626',
            ] | 
            Defines custom color palette | 
              wysiwygTranslations
             | 
            Array |  | 
            Defines custom texts | 
              wysiwygStylesSection
             | 
            Boolean | true | 
            Set to false to disable the styles section | 
              wysiwygFormattingSection
             | 
            Boolean | true | 
            Set to false to disable the formatting section | 
              wysiwygJustifySection
             | 
            Boolean | true | 
            Set to false to disable the justify section | 
              wysiwygListsSection
             | 
            Boolean | true | 
            Set to false to disable the lists section | 
              wysiwygLinksSection
             | 
            Boolean | true | 
            Set to false to disable the links section | 
              wysiwygShowCodeSection
             | 
            Boolean | true | 
            Set to false to disable the show code section | 
              wysiwygUndoRedoSection
             | 
            Boolean | true | 
            Set to false to disable the undo-redo section | 
              wysiwygFixed
             | 
            Boolean | false | 
            Set true to scrolls toolbar with the page until it reaches the top, then stays there | 
              wysiwygFixedOffsetTop
             | 
            Number | 0 | 
            Set the distance in pixels from the top edge of the browser | 
              wysiwygTextareaName
             | 
            String | '' | 
            Set the a custom `name` for wysiwyg textarea | 
Methods
| Name | Parameters | Description | Example | 
|---|---|---|---|
              dispose
             | 
            - | Removes wysywig instance. | instance.dispose() | 
          
              getInstance
             | 
            element | Static method which allows you to get the wysywig instance associated to a DOM element. | WYSIWYG.getInstance(wysiwygElement) | 
          
              getCode
             | 
            Get code in HTML format. | instance.getCode() | 
          
        
            
        const wysiwygElement = document.getElementsByClassName('wysiwyg')[0];
        const wysiwygInstance = WYSIWYG.getInstance(wysiwygElement);
        wysiwygInstance.getCode();

WYSIWYG editor
Angular Bootstrap 5 WYSIWYG editor plugin
MDBootstrap WYSIWYG Editor is a lightweight plugin that enables rich text editing on your website.
Note: Read the API tab to find all available options and advanced customization
Basic example
          
        
MDBootstrap
WYSIWYG Editor
MDBootstrap.com © 2020
Features:
- Changing block type
 - Text formatting (bold, italic, strikethrough, underline)
 - Setting text color
 - Setting color highlight
 - Text aligning
 - Creating a list (bulled or numbered)
 - Increase/Decrease indent
 - Inserting links
 - Inserting pictures
 - Insert horizontal line
 - show HTML code
 - Undo/Redo
 
Options:
- Translations
 - Using your own color palette
 - Disabling/enabling sections
 
Methods:
- Get HTML code from editor
 
        
            
            <mdb-wysiwyg [value]="value"></mdb-wysiwyg>
          
        
    
        
            
            import { Component } from '@angular/core';
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent {
              value = `
                <br>
                <p style="text-align: center">
                  <img src="https://mdbcdn.b-cdn.net/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp" class="img-fluid">
                </p>
                <h1 style="text-align: center">MDBootstrap</h1>
                <p style="text-align: center">WYSIWYG Editor</p>
                <p style="text-align: center">
                  <a href="https://mdbootstrap.com" target="_blank" contenteditable="false" style="font-size: 1rem; text-align: left">MDBootstrap.com</a> © 2020
                </p>
                <p style="text-align: left"><b>Features:</b></p>
                <ul>
                  <li>Changing block type</li>
                  <li>Text formatting (bold, italic, strikethrough, underline)</li>
                  <li>Setting text color</li>
                  <li>Setting color highlight</li>
                  <li>Text aligning</li>
                  <li>Creating a list (bulled or numbered)</li>
                  <li>Increase/Decrease indent</li>
                  <li>Inserting links</li>
                  <li>Inserting pictures</li>
                  <li>Insert horizontal line</li>
                  <li>show HTML code</li>
                  <li>Undo/Redo</li>
                </ul>
                <p><b>Options:</b></p>
                <ul>
                  <li>Translations</li>
                  <li>Using your own color palette</li>
                  <li>Disabling/enabling sections</li>
                </ul>
                <p><b>Methods:</b></p>
                <ul>
                  <li>Get HTML code from editor</li>
                </ul>
              `;
            }
          
        
    
Translations
MDBootstrap WYSIWYG Editor comes with the option that allows you to use custom translations for all text in the editor.
        
            
            <mdb-wysiwyg [value]="value" [options]="translation"></mdb-wysiwyg>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbWysiwygOptions } from 'projects/mdb-angular-wysiwyg';
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent {
              value = `
                <br />
                <p style="text-align: center">
                  <img
                    src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp"
                    class="img-fluid"
                  />
                </p>
                <h1 style="text-align: center">MDBootstrap</h1>
                <p style="text-align: center">WYSIWYG Editor</p>
                <p style="text-align: center">
                  <a
                    href="https://mdbootstrap.com"
                    target="_blank"
                    contenteditable="false"
                    style="font-size: 1rem; text-align: left"
                    >MDBootstrap.com</a
                  > © 2020
                </p>
              `;
              translation: MdbWysiwygOptions = {
                paragraph: 'Paragraf',
                textStyle: 'Styl tekstu',
                heading: 'Nagłówek',
                preformatted: 'Pre-formatowany',
                bold: 'Pogrubienie',
                italic: 'Kursywa',
                strikethrough: 'Przekreślenie',
                underline: 'Podkreślenie',
                textcolor: 'Kolor tekstu',
                textBackgroundColor: 'kolor zaznaczenia',
                justifyLeft: 'Wyśrodkowanie do lewej',
                justifyCenter: 'Wyśrodkowanie do środka',
                justifyRight: 'Wyśrodkowane do prawej',
                justifyFull: 'Justowanie',
                insertLink: 'Wstaw link',
                insertPicture: 'Wstaw obraz',
                insertUnorderedList: 'Lista punktowa',
                insertOrderedList: 'Lista numerowana',
                indent: 'Zwiększ wcięcie',
                outdent: 'Zmniejsz wcięcie',
                insertHorizontalRule: 'Wstaw linię poziomą',
                showHTML: 'Pokaż kod HTML',
                undo: 'Cofnij',
                redo: 'Przywróć',
                addLinkHead: 'Dodaj Link',
                addImageHead: 'Dodaj Obraz',
                linkUrlLabel: 'Wpisz adres:',
                linkDescription: 'Wpisz opis',
                imageUrlLabel: 'Wpisz adres obrazka:',
                okButton: 'OK',
                cancelButton: 'Anuluj',
                moreOptions: 'Pokaż więcej opcji',
              };
            }
          
        
    
Custom colors
By default, MDBootstrap WYSIWYG Editor use color palette from MDBootstrap's text colors. If you need to use your custom colors, you can simply customize them to fit your project.
          
        
MDBootstrap
WYSIWYG Editor
MDBootstrap.com © 2020
Default Colors:
- #1266F1 - Primary
 - #B23CFD - Secondary
 - #00B74A - Success
 - #F93154 - Danger
 - #FFA900 - Warning
 - #39C0ED - Info
 - #FBFBFB - Light
 - #262626 - Dark
 
        
            
            <mdb-wysiwyg [value]="value" [colors]="colors"></mdb-wysiwyg>
          
        
    
        
            
            import { Component } from '@angular/core';
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent {
              value = `
                <br />
                <p style="text-align: center">
                  <img
                    src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp"
                    class="img-fluid"
                  />
                </p>
                <h1 style="text-align: center">MDBootstrap</h1>
                <p style="text-align: center">WYSIWYG Editor</p>
                <p style="text-align: center">
                  <a
                    href="https://mdbootstrap.com"
                    target="_blank"
                    contenteditable="false"
                    style="font-size: 1rem; text-align: left"
                    >MDBootstrap.com</a
                  > © 2020
                </p>
                <p style="text-align: left"><b>Default Colors:</b></p>
                <ul>
                  <li><span style="color: #1266f1">#1266F1 - Primary</span></li>
                  <li><span style="color: #b23cfd">#B23CFD - Secondary</span></li>
                  <li><span style="color: #00b74a">#00B74A - Success</span></li>
                  <li><span style="color: #f93154">#F93154 - Danger</span></li>
                  <li><span style="color: #ffa900">#FFA900 - Warning</span></li>
                  <li><span style="color: #39c0ed">#39C0ED - Info</span></li>
                  <li>
                    <span style="color: #fbfbfb; background-color: rgb(38, 38, 38)">#FBFBFB - Light</span>
                  </li>
                  <li><span style="color: #262626">#262626 - Dark</span></li>
                </ul>
              `;
              colors = ['#3949AB', '#00BCD4', '#7CB342'];
            }
          
        
    
Disable toolbar section
You can disable any section. The full list of sections can be found in the API tab.
        
            
            <mdb-wysiwyg [value]="value" [toolbarOptions]="disableToolbarOptions"></mdb-wysiwyg>
          
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbWysiwygToolbarOptions } from 'mdb-angular-wysiwyg';
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent {
              value = `
                <br />
                <p style="text-align: center">
                  <img
                    src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp"
                    class="img-fluid"
                  />
                </p>
                <h1 style="text-align: center">MDBootstrap</h1>
                <p style="text-align: center">WYSIWYG Editor</p>
                <p style="text-align: center">
                  <a
                    href="https://mdbootstrap.com"
                    target="_blank"
                    contenteditable="false"
                    style="font-size: 1rem; text-align: left"
                    >MDBootstrap.com</a
                  > © 2020
                </p>
              `;
              disableToolbarOptions: MdbWysiwygToolbarOptions = {
                formatting: {
                  hidden: true,
                },
                align: {
                  hidden: true,
                },
                lists: {
                  disabled: false,
                  hidden: false,
                  insertUnorderedList: { hidden: true },
                  indent: { disabled: true },
                },
                showCode: { disabled: true },
              };
            }
          
        
    
Fixed toolbar
      You can set [fixed]="true" to pin the toolbar to the top of the
      screen. This option will be useful when there is a lot of text.
    
        
            
            <mdb-wysiwyg [fixed]="true" [value]="value"></mdb-wysiwyg>
          
        
    
        
            
            import { Component } from '@angular/core';
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent {
              value = `
                <br />
                <p style="text-align: center">
                  <img
                    src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp"
                    class="img-fluid"
                  />
                </p>
                <h1 style="text-align: center">MDBootstrap</h1>
                <p style="text-align: center">WYSIWYG Editor</p>
                <p style="text-align: center">
                  <a
                    href="https://mdbootstrap.com"
                    target="_blank"
                    contenteditable="false"
                    style="font-size: 1rem; text-align: left"
                    >MDBootstrap.com</a
                  > © 2020
                </p>
              `;
            }
          
        
    
Fixed toolbar offset
      Use the [fixedOffsetTop]="80" option to set the distance from the top
      of the screen. This helps to avoid hiding the toolbar behind the navigation bar or other
      element on the page.
    
        
            
            <mdb-wysiwyg [value]="value" [fixed]="true" [fixedOffsetTop]="80"></mdb-wysiwyg>
          
        
    
        
            
            import { Component } from '@angular/core';
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent {
              value = `
                <br />
                <p style="text-align: center">
                  <img
                    src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp"
                    class="img-fluid"
                  />
                </p>
                <h1 style="text-align: center">MDBootstrap</h1>
                <p style="text-align: center">WYSIWYG Editor</p>
                <p style="text-align: center">
                  <a
                    href="https://mdbootstrap.com"
                    target="_blank"
                    contenteditable="false"
                    style="font-size: 1rem; text-align: left"
                    >MDBootstrap.com</a
                  > © 2020
                </p>
              `;
            }
          
        
    
Template driven forms
        You can use ngModel to set default value
      
        
            
              <mdb-wysiwyg [(ngModel)]="value"></mdb-wysiwyg>
            
        
    
        
            
              import { Component } from '@angular/core';
              @Component({
                selector: 'app-root',
                templateUrl: './app.component.html',
              })
              export class AppComponent {
                value = `
                  <br />
                  <p style="text-align: center">
                    <img
                      src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp"
                      class="img-fluid"
                    />
                  </p>
                  <h1 style="text-align: center">MDBootstrap</h1>
                  <p style="text-align: center">WYSIWYG Editor</p>
                  <p style="text-align: center">
                    <a
                      href="https://mdbootstrap.com"
                      target="_blank"
                      contenteditable="false"
                      style="font-size: 1rem; text-align: left"
                      >MDBootstrap.com</a
                    > © 2020
                  </p>
                `;
              }
            
        
    
WYSIWYG editor - API
Installation
To install and configure the plugin follow our Plugins Installation Guide. Please remember to update all the plugin names and import paths. You can find all the necessary information in the Import section.
        
            
     npm i git+https://oauth2:ACCESS_TOKEN@git.mdbootstrap.com/mdb/angular/mdb5/plugins/prd/wysiwyg
     
        
    
Import
        
            
          import { MdbWysiwygModule } from 'mdb-angular-wysiwyg';
          import { FormsModule } from '@angular/forms';
          …
          @NgModule ({
            ...
            imports: [MdbWysiwygModule, FormsModule],
            ...
          })
        
        
    
        
            
      @import 'mdb-angular-wysiwyg/scss/wysiwyg.scss';
       
        
    
Inputs
| Name | Type | Default | Description | 
|---|---|---|---|
              colors
             | 
            Array |  | 
            Defines custom color palette | 
              fixed
             | 
            Boolean | false | 
            Set true to scrolls toolbar with the page until it reaches the top, then stays there | 
              fixedOffsetTop
             | 
            Number | 0 | 
            Set the distance in pixels from the top edge of the browser | 
Methods
| Name | Description | Example | 
|---|---|---|
              getCode
             | 
            Get code in HTML format | wysiwyg.getCode() | 
          
        
            
            <mdb-wysiwyg #wysiwyg [value]="value"></mdb-wysiwyg>
            <button class="btn btn-primary" (click)="getValue()">get value</button>
          
        
    
        
            
            import { Component, ViewChild } from '@angular/core';
            import { MdbWysiwygComponent } from 'mdb-angular-wysiwyg';
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent {
              @ViewChild('wysiwyg') wysiwyg!: MdbWysiwygComponent;
              getValue() {
                console.log(this.wysiwyg.getCode());
              }
            }
          
        
    
Advanced types
MdbWysiwygOptions
| Name | Type | Default | Description | 
|---|---|---|---|
                  paragraph
                 | 
                string | 'Paragraph' | 
                Defines paragraph tooltip displayed text. | 
                  textStyle
                 | 
                string | 'Text style' | 
                Defines text style tooltip displayed text. | 
                  heading
                 | 
                string | 'Heading' | 
                Defines heading tooltip displayed text. | 
                  preformatted
                 | 
                string | 'Preformatted' | 
                Defines preformatted tooltip displayed text. | 
                  bold
                 | 
                string | 'Bold' | 
                Defines bold tooltip displayed text. | 
                  italic
                 | 
                string | 'Italic' | 
                Defines italic tooltip displayed text. | 
                  strikethrough
                 | 
                string | 'Strikethrough' | 
                Defines strikethrough tooltip displayed text. | 
                  underline
                 | 
                string | 'Underlinet' | 
                Defines underline tooltip displayed text. | 
                  textcolor
                 | 
                string | 'Color' | 
                Defines textcolor tooltip displayed text. | 
                  textBackgroundColor
                 | 
                string | 'Background Color' | 
                Defines text background color tooltip displayed text. | 
                  justifyLeft
                 | 
                string | 'Align Left' | 
                Defines align left tooltip displayed text. | 
                  justifyCenter
                 | 
                string | 'Align Center' | 
                Defines align center tooltip displayed text. | 
                  justifyRight
                 | 
                string | 'Align Right' | 
                Defines align right tooltip displayed text. | 
                  justifyFull
                 | 
                string | 'Align Justify' | 
                Defines align justify tooltip displayed text. | 
                  insertLink
                 | 
                string | 'Insert Link' | 
                Defines insert link tooltip displayed text. | 
                  insertPicture
                 | 
                string | ''Insert Picture'' | 
                Defines insert picture tooltip displayed text. | 
                  insertUnorderedList
                 | 
                string | 'Unordered List' | 
                Defines unordered list tooltip displayed text. | 
                  insertOrderedList
                 | 
                string | 'Numbered List' | 
                Defines numbered list tooltip displayed text. | 
                  indent
                 | 
                string | 'Increase Indent' | 
                Defines indent tooltip displayed text. | 
                  outdent
                 | 
                string | 'Decrease Indent' | 
                Defines outdent tooltip displayed text. | 
                  insertHorizontalRule
                 | 
                string | 'Insert Horizontal Line' | 
                Defines insert horizontal line tooltip displayed text. | 
                  showHTML
                 | 
                string | 'Show HTML code' | 
                Defines show HTML code tooltip displayed text. | 
                  undo
                 | 
                string | 'Undo' | 
                Defines undo tooltip displayed text. | 
                  redo
                 | 
                string | 'Redo' | 
                Defines redo tooltip displayed text. | 
                  addLinkHead
                 | 
                string | 'Add Link' | 
                Defines add link modal title text. | 
                  addImageHead
                 | 
                string | 'Increase Image' | 
                Defines add image modal title text. | 
                  linkUrlLabel
                 | 
                string | 'Enter a URL:' | 
                Defines link URL input label text. | 
                  linkDescription
                 | 
                string | 'Enter a description' | 
                Defines link description input label text. | 
                  imageUrlLabel
                 | 
                string | 'Enter a URL:' | 
                Defines image URL input label text. | 
                  okButton
                 | 
                string | 'OK' | 
                Defines modal confirm button text. | 
                  cancelButton
                 | 
                string | 'cancel' | 
                Defines modal cancel button text. | 
                  indent
                 | 
                string | 'Increase Indent' | 
                Defines indent tooltip displayed text. | 
                  moreOptions
                 | 
                string | 'Show More Options' | 
                Defines show more options tooltip displayed text. | 
MdbWysiwygToolbarOptions
Note: Due to its complexity, we present this advanced type in the form of a snippet rather than a table.
        
            
            export interface MdbWysiwygToolbarOptions {
              styles?: {
                disabled?: boolean;
                hidden?: boolean;
                p?: { disabled?: boolean; hidden?: boolean };
                h1?: { disabled?: boolean; hidden?: boolean };
                h2?: { disabled?: boolean; hidden?: boolean };
                h3?: { disabled?: boolean; hidden?: boolean };
                h4?: { disabled?: boolean; hidden?: boolean };
                h5?: { disabled?: boolean; hidden?: boolean };
                h6?: { disabled?: boolean; hidden?: boolean };
                pre?: { disabled?: boolean; hidden?: boolean };
              };
              formatting?: {
                disabled?: boolean;
                hidden?: boolean;
                bold?: { disabled?: boolean; hidden?: boolean };
                italic?: { disabled?: boolean; hidden?: boolean };
                underline?: { disabled?: boolean; hidden?: boolean };
                strikethrough?: { disabled?: boolean; hidden?: boolean };
                textColor?: { disabled?: boolean; hidden?: boolean };
                textBackground?: { disabled?: boolean; hidden?: boolean };
              };
              align?: {
                disabled?: boolean;
                hidden?: boolean;
                justifyLeft?: { disabled?: boolean; hidden?: boolean };
                justifyCenter?: { disabled?: boolean; hidden?: boolean };
                justifyRight?: { disabled?: boolean; hidden?: boolean };
                justifyFull?: { disabled?: boolean; hidden?: boolean };
              };
              lists?: {
                disabled?: boolean;
                hidden?: boolean;
                insertUnorderedList?: { disabled?: boolean; hidden?: boolean };
                insertOrderedList?: { disabled?: boolean; hidden?: boolean };
                indent?: { disabled?: boolean; hidden?: boolean };
                outdent?: { disabled?: boolean; hidden?: boolean };
              };
              links?: {
                disabled?: boolean;
                hidden?: boolean;
                link?: { disabled?: boolean; hidden?: boolean };
                image?: { disabled?: boolean; hidden?: boolean };
                insertHorizontalRule?: { disabled?: boolean; hidden?: boolean };
              };
              showCode?: { disabled?: boolean; hidden?: boolean };
              undoRedo?: {
                disabled?: boolean;
                hidden?: boolean;
                undo?: { disabled?: boolean; hidden?: boolean };
                redo?: { disabled?: boolean; hidden?: boolean };
              };
            }

Vue WYSIWYG Editor

Vue Bootstrap WYSIWYG Editor plugin

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap WYSIWYG Editor is a lightweight plugin that enables rich text editing on your website.


Basic Example

        
            
          <template>
            <mdb-wysiwyg>
              <p style="text-align: center;"><img
                  src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp" class="img-fluid">
              </p>
              <h1 style="text-align: center;">MDBootstrap</h1>
              <p style="text-align: center;">WYSIWYG Editor</p>
              <p style="text-align: center;">
                <a href="https://mdbootstrap.com" target="_blank" contenteditable="false" style="font-size: 1rem; text-align: left;">MDBootstrap.com</a>&nbsp;©
                2020</p>
              <p style="text-align: left;"><b>Features:</b></p>
              <ul>
                <li>Changing block type</li>
                <li>Text formatting (bold, italic, strikethrough, underline)</li>
                <li>Setting text color</li>
                <li>Text aligning</li>
                <li>Inserting links</li>
                <li>Inserting pictures</li>
                <li>Creating a list (bulled or numbered)</li>
              </ul>
              <p><b>Options:</b></p>
              <ul>
                <li>Translations</li>
                <li>Using your own color palette</li>
                <li>Disabling/enabling tooltips</li>
              </ul>
            </mdb-wysiwyg>
          </template>
          
        
    
        
            
          <script>
            import mdbWysiwyg from 'mdb-wysiwyg'
            export default {
              name: 'app',
              components: {
                mdbWysiwyg
              }
            }
          </script>
          
        
    

Translations

Vue Bootstrap WYSIWYG Editor comes with the option that allows you to use custom translations for all text in the editor.

        
            
          <template>
            <mdb-wysiwyg :translations="{
                paragraph: 'Paragraph',
                heading: 'Heading',
                preformatted: 'Preformatted',
                bold: 'Bold',
                italic: 'Italic',
                strikethrough: 'Strikethrough',
                underline: 'Underline',
                textcolor: 'Color',
                alignleft: 'Align Left',
                aligncenter: 'Align Center',
                alignright: 'Align Right',
                alignjustify: 'Align Justify',
                insertlink: 'Insert Link',
                insertpicture: 'Insert Picture',
                bulletlist: 'Ordered List',
                numberedlist: 'Numbered List',
                enterurl: 'Enter the URL',
                imageurl: 'Image URL',
                changeview: 'Change view'
              }">
              <p style="text-align: center;"><img
                  src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp" class="img-fluid">
              </p>
              <h1 style="text-align: center;">MDBootstrap</h1>
              <p style="text-align: center;">WYSIWYG Editor</p>
              <p style="text-align: center;">
                <a href="https://mdbootstrap.com" target="_blank" contenteditable="false" style="font-size: 1rem; text-align: left;">MDBootstrap.com</a>&nbsp;©
                2020</p>
            </mdb-wysiwyg>
          </template>
          
        
    
        
            
          <script>
            import mdbWysiwyg from 'mdb-wysiwyg'
            export default {
              name: 'app',
              components: {
                mdbWysiwyg
              }
            }
          </script>
          
        
    

Custom color palette

By default, Vue Bootstrap WYSIWYG Editor use color palette from MDBootstrap's text colors. If you need to use your custom colors, you can simply customize them to fit your project.

        
            
          <template>
            <mdb-wysiwyg :colors="['#EA3C3B', '#E00065', #FFFFFF', '#000000']">
              <p style="text-align: center;"><img
                  src="https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp" class="img-fluid">
              </p>
              <h1 style="text-align: center;">MDBootstrap</h1>
              <p style="text-align: center;">WYSIWYG Editor</p>
              <p style="text-align: center;">
                <a href="https://mdbootstrap.com" target="_blank" contenteditable="false" style="font-size: 1rem; text-align: left;">MDBootstrap.com</a>&nbsp;©
                2020</p>
            </mdb-wysiwyg>
          </template>
          
        
    
        
            
          <script>
            import mdbWysiwyg from 'mdb-wysiwyg'
            export default {
              name: 'app',
              components: {
                mdbWysiwyg
              }
            }
          </script>
          
        
    

MDB Vue WYSIWYG Editor - API


Download

This plugin requires a purchase.

Buy Vue WYSIWYG Editor plugin

Options

Name Type Description
tooltips boolean Shows Bootstrap Tooltips for the toolbar buttons.
colors array Allows to use custom color palette. See details here.
translations object Allows to overwrite default plugin translations. See details here.
@getContent event Allows to get the content of the textarea - value is an object with two keys: html and text

WYSIWYG editor

React 5 WYSIWYG editor plugin

MDBootstrap WYSIWYG Editor is a lightweight plugin that enables rich text editing on your website.

Note: Read the API tab to find all available options and advanced customization


Basic example


MDBootstrap

WYSIWYG Editor

MDBootstrap.com © 2020

Features:

  • Changing block type
  • Text formatting (bold, italic, strikethrough, underline)
  • Setting text color
  • Setting color highlight
  • Text aligning
  • Creating a list (bulled or numbered)
  • Increase/Decrease indent
  • Inserting links
  • Inserting pictures
  • Insert horizontal line
  • show HTML code
  • Undo/Redo

Options:

  • Translations
  • Using your own color palette
  • Disabling/enabling sections

Methods:

  • Get HTML code from editor
        
            
            import React from 'react';
            import { MDBWysiwyg } from 'mdb-react-wysiwyg';
    
            export default function App() {
              return (
                <MDBWysiwyg>
                  <br />
                  <p style={{ textAlign: 'center' }}>
                    <img
                      src='https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp'
                      className='img-fluid'
                    />
                  </p>
                  <h1 style={{ textAlign: 'center' }}>MDBootstrap</h1>
                  <p style={{ textAlign: 'center' }}>WYSIWYG Editor</p>
                  <p style={{ textAlign: 'center' }}>
                    <a
                      href='https://mdbootstrap.com'
                      target='_blank'
                      contentEditable={false}
                      style={{ fontSize: '1rem', textAlign: 'left' }}
                    >
                      MDBootstrap.com
                    </a>
                    &nbsp;© 2020
                  </p>
                  <p style={{ textAlign: 'left' }}>
                    <b>Features:</b>
                  </p>
                  <ul>
                    <li>Changing block type</li>
                    <li>Text formatting (bold, italic, strikethrough, underline)</li>
                    <li>Setting text color</li>
                    <li>Setting color highlight</li>
                    <li>Text aligning</li>
                    <li>Creating a list (bulled or numbered)</li>
                    <li>Increase/Decrease indent</li>
                    <li>Inserting links</li>
                    <li>Inserting pictures</li>
                    <li>Insert horizontal line</li>
                    <li>show HTML code</li>
                    <li>Undo/Redo</li>
                  </ul>
                  <p>
                    <b>Options:</b>
                  </p>
                  <ul>
                    <li>Translations</li>
                    <li>Using your own color palette</li>
                    <li>Disabling/enabling sections</li>
                  </ul>
                  <p>
                    <b>Methods:</b>
                  </p>
                  <ul>
                    <li>Get HTML code from editor</li>
                  </ul>
                </MDBWysiwyg>
              );
            }
          
        
    

Translations

MDBootstrap WYSIWYG Editor comes with the option that allows you to use custom translations for all text in the editor.


MDBootstrap

WYSIWYG Editor

MDBootstrap.com © 2020

        
            
            import React from 'react';
            import { MDBWysiwyg } from 'mdb-react-wysiwyg';
    
            export default function App() {
              return (
                <MDBWysiwyg
                  translations={{
                    paragraph: 'Paragraf',
                    textStyle: 'Styl tekstu',
                    heading: 'Nagłówek',
                    preformatted: 'Pre-formatowany',
                    bold: 'Pogrubienie',
                    italic: 'Kursywa',
                    strikethrough: 'Przekreślenie',
                    underline: 'Podkreślenie',
                    textcolor: 'Kolor tekstu',
                    textBackgroundColor: 'kolor zaznaczenia',
                    alignLeft: 'Wyśrodkowanie do lewej',
                    alignCenter: 'Wyśrodkowanie do środka',
                    alignRight: 'Wyśrodkowane do prawej',
                    alignJustify: 'Justowanie',
                    insertLink: 'Wstaw link',
                    insertPicture: 'Wstaw obraz',
                    unorderedList: 'Lista punktowa',
                    orderedList: 'Lista numerowana',
                    increaseIndent: 'Zwiększ wcięcie',
                    decreaseIndent: 'Zmniejsz wcięcie',
                    insertHorizontalRule: 'Wstaw linię poziomą',
                    showHTML: 'Pokaż kod HTML',
                    undo: 'Cofnij',
                    redo: 'Przywróć',
                    addLinkHead: 'Dodaj Link',
                    addImageHead: 'Dodaj Obraz',
                    linkUrlLabel: 'Wpisz adres:',
                    linkDescription: 'Wpisz opis',
                    imageUrlLabel: 'Wpisz adres obrazka:',
                    okButton: 'OK',
                    cancelButton: 'Anuluj',
                    moreOptions: 'Pokaż więcej opcji',
                  }}
                >
                  <br />
                  <p style={{ textAlign: 'center' }}>
                    <img
                      src='https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp'
                      className='img-fluid'
                    />
                  </p>
                  <h1 style={{ textAlign: 'center' }}>MDBootstrap</h1>
                  <p style={{ textAlign: 'center' }}>WYSIWYG Editor</p>
                  <p style={{ textAlign: 'center' }}>
                    <a
                      href='https://mdbootstrap.com'
                      target='_blank'
                      contentEditable={false}
                      style={{ fontSize: '1rem', textAlign: 'left' }}
                    >
                      MDBootstrap.com
                    </a>
                    &nbsp;© 2020
                  </p>
                </MDBWysiwyg>
              );
            }
          
        
    

Custom colors

By default, MDBootstrap WYSIWYG Editor use color palette from MDBootstrap's text colors. If you need to use your custom colors, you can simply customize them to fit your project.


MDBootstrap

WYSIWYG Editor

MDBootstrap.com © 2020

Default Colors:

  • #1266F1 - Primary
  • #B23CFD - Secondary
  • #00B74A - Success
  • #F93154 - Danger
  • #FFA900 - Warning
  • #39C0ED - Info
  • #FBFBFB - Light
  • #262626 - Dark
        
            
            import React from 'react';
            import { MDBWysiwyg } from 'mdb-react-wysiwyg';
    
            export default function App() {
              return (
                <MDBWysiwyg colors={['#3949AB', '#00BCD4', '#7CB342']}>
                  <br />
                  <p style={{ textAlign: 'center' }}>
                    <img
                      src='https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp'
                      className='img-fluid'
                    />
                  </p>
                  <h1 style={{ textAlign: 'center' }}>MDBootstrap</h1>
                  <p style={{ textAlign: 'center' }}>WYSIWYG Editor</p>
                  <p style={{ textAlign: 'center' }}>
                    <a
                      href='https://mdbootstrap.com'
                      target='_blank'
                      contentEditable={false}
                      style={{ fontSize: '1rem', textAlign: 'left' }}
                    >
                      MDBootstrap.com
                    </a>
                    &nbsp;© 2020
                  </p>
                  <p style={{ textAlign: 'left' }}>
                    <b>Default Colors:</b>
                  </p>
                  <ul>
                    <li>
                      <span style={{ color: '#1266f1' }}>#1266F1 - Primary</span>
                    </li>
                    <li>
                      <span style={{ color: '#b23cfd' }}>#B23CFD - Secondary</span>
                    </li>
                    <li>
                      <span style={{ color: '#00b74a' }}>#00B74A - Success</span>
                    </li>
                    <li>
                      <span style={{ color: '#f93154' }}>#F93154 - Danger</span>
                    </li>
                    <li>
                      <span style={{ color: '#ffa900' }}>#FFA900 - Warning</span>
                    </li>
                    <li>
                      <span style={{ color: '#39c0ed' }}>#39C0ED - Info</span>
                    </li>
                    <li>
                      <span style={{ color: '#fbfbfb', backgroundColor: 'rgb(38, 38, 38)' }}>#FBFBFB - Light</span>
                    </li>
                    <li>
                      <span style={{ color: '#262626' }}>#262626 - Dark</span>
                    </li>
                  </ul>
                </MDBWysiwyg>
              );
            }
          
        
    

Disable toolbar section

You can disable any section. The full list of sections can be found in the API tab.


MDBootstrap

WYSIWYG Editor

MDBootstrap.com © 2020

        
            
            import React from 'react';
            import { MDBWysiwyg } from 'mdb-react-wysiwyg';
    
            export default function App() {
              return (
                <MDBWysiwyg disableFormatting disableJustify>
                  <br />
                  <p style={{ textAlign: 'center' }}>
                    <img
                      src='https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp'
                      className='img-fluid'
                    />
                  </p>
                  <h1 style={{ textAlign: 'center' }}>MDBootstrap</h1>
                  <p style={{ textAlign: 'center' }}>WYSIWYG Editor</p>
                  <p style={{ textAlign: 'center' }}>
                    <a
                      href='https://mdbootstrap.com'
                      target='_blank'
                      contentEditable={false}
                      style={{ fontSize: '1rem', textAlign: 'left' }}
                    >
                      MDBootstrap.com
                    </a>
                    &nbsp;© 2020
                  </p>
                </MDBWysiwyg>
              );
            }
          
        
    

Fixed toolbar

You can set fixedTop to pin the toolbar to the top of the screen. This option will be useful when there is a lot of text.


MDBootstrap

WYSIWYG Editor

MDBootstrap.com © 2020

        
            
            import React from 'react';
            import { MDBWysiwyg } from 'mdb-react-wysiwyg';
    
            export default function App() {
              return (
                <MDBWysiwyg fixedTop>
                  <br />
                  <p style={{ textAlign: 'center' }}>
                    <img
                      src='https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp'
                      className='img-fluid'
                    />
                  </p>
                  <h1 style={{ textAlign: 'center' }}>MDBootstrap</h1>
                  <p style={{ textAlign: 'center' }}>WYSIWYG Editor</p>
                  <p style={{ textAlign: 'center' }}>
                    <a
                      href='https://mdbootstrap.com'
                      target='_blank'
                      contentEditable={false}
                      style={{ fontSize: '1rem', textAlign: 'left' }}
                    >
                      MDBootstrap.com
                    </a>
                    &nbsp;© 2020
                  </p>
                </MDBWysiwyg>
              );
            }
          
        
    

Fixed toolbar offset

Use the offsetTop property to set the distance from the top of the screen. This helps to avoid hiding the toolbar behind the navigation bar or other element on the page.


MDBootstrap

WYSIWYG Editor

MDBootstrap.com © 2020

        
            
            import React from 'react';
            import { MDBWysiwyg } from 'mdb-react-wysiwyg';
    
            export default function App() {
              return (
                <MDBWysiwyg fixedTop offsetTop='80px'>
                  <br />
                  <p style={{ textAlign: 'center' }}>
                    <img
                      src='https://mdbootstrap.com/wp-content/uploads/2018/06/logo-mdb-jquery-small.webp'
                      className='img-fluid'
                    />
                  </p>
                  <h1 style={{ textAlign: 'center' }}>MDBootstrap</h1>
                  <p style={{ textAlign: 'center' }}>WYSIWYG Editor</p>
                  <p style={{ textAlign: 'center' }}>
                    <a
                      href='https://mdbootstrap.com'
                      target='_blank'
                      contentEditable={false}
                      style={{ fontSize: '1rem', textAlign: 'left' }}
                    >
                      MDBootstrap.com
                    </a>
                    &nbsp;© 2020
                  </p>
                </MDBWysiwyg>
              );
            }
          
        
    

24H 00M 00S

Get one of the limited daily offers for AI Bundles with 98% OFF for our Black Days Sale!

WYSIWYG editor - API


Import

        
            
            import { MDBWysiwyg } from 'mdb-react-wysiwyg';
          
        
    

Properties

Wysiwyg

Name Type Default Description Example
colors Array<string> Defines custom color palette <MDBWysiwyg colors={customColors} />
translations TranslationsObject Defines custom texts <MDBWysiwyg translations={translations} />
disableStyles boolean false Set to false to disable the styles section <MDBWysiwyg disableStyles />
disableFormatting boolean false Set to false to disable the formatting section <MDBWysiwyg disableFormatting />
disableJustify boolean false Set to false to disable the justify section <MDBWysiwyg disableJustify />
disableLists boolean false Set to false to disable the lists section <MDBWysiwyg disableLists />
disableLinks boolean false Set to false to disable the links section <MDBWysiwyg disableLinks />
disableCode boolean false Set to false to disable the show code section <MDBWysiwyg disableCode />
disableUndoRedo boolean false Set to false to disable the undo-redo section <MDBWysiwyg disableUndoRedo />
fixedTop boolean false Set true to scrolls toolbar with the page until it reaches the top, then stays there <MDBWysiwyg fixedTop />
offsetTop string '0px' Set the distance in pixels from the top edge of the browser <MDBWysiwyg fixedTop offsetTop='90px' />

Advanced types

TranslationsObject

        
                  
              type TranslationsObject = {
                paragraph?: string;
                textStyle?: string;
                heading?: string;
                preformatted?: string;
                bold?: string;
                italic?: string;
                strikethrough?: string;
                underline?: string;
                textcolor?: string;
                textBackgroundColor?: string;
                alignLeft?: string;
                alignCenter?: string;
                alignRight?: string;
                alignJustify?: string;
                insertLink?: string;
                insertPicture?: string;
                unorderedList?: string;
                orderedList?: string;
                increaseIndent?: string;
                decreaseIndent?: string;
                insertHorizontalRule?: string;
                showHTML?: string;
                undo?: string;
                redo?: string;
                addLinkHead?: string;
                addImageHead?: string;
                linkUrlLabel?: string;
                linkDescription?: string;
                imageUrlLabel?: string;
                okButton?: string;
                cancelButton?: string;
                moreOptions?: string;
              };          
            
        
    

Events

Name Type Description
onChange (value: string) => void This event fires when the input changes. It returns the HTML code.